//
//  HistoryBrowserViewController.swift
//  App
//
//  Created by James Magahern on 1/20/23.
//

import SwiftUI
import UIKit

@MainActor
class HistoryBrowserViewController: UIHostingController<HistoryView> {
    public init(onSelectItem: @escaping (URL) -> Void) {
        super.init(rootView: HistoryView(viewModel: BrowserHistory.shared.viewModel(limit: 500), onSelectItem: onSelectItem))
    }
    
    required dynamic init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }
}
